POST
/v1/platform/taxonomy-mappings/templatesPOST /v1/platform/taxonomy-mappings/templates
Scopes: platform:taxonomy_mappings:write
Requires scope: platform:taxonomy_mappings:write.
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | |
description | string | no | |
direction | TaxonomyMappingDirection | no | |
channel_id | string | no | |
category_id | string | no | |
mappings | TaxonomyMappingEntryUpsert[] | no |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
template_id | string | no | |
name | string | no | |
description | string | no | |
direction | TaxonomyMappingDirection | no | |
channel_id | string | no | |
channel_name | string | no | |
category_id | string | no | |
category_name | string | no | |
mappings | TaxonomyMappingEntry[] | no | |
created_at | string<date-time> | no | |
created_by | string | no | |
updated_at | string<date-time> | no | |
updated_by | string | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.POST('/v1/platform/taxonomy-mappings/templates', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);